<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./css/home.css" />
    <link rel="stylesheet" href="./css/truck.css">
    <title>Home</title>
  </head>
  <body>
    <aside class="sidebar">
      <div class="sidebar__header">
        <img src="./img/icons/menu-burger-icon.png" class="sidebar__icon" id="burger-menu" alt="menu icon" width="40px">
        <img src="./img/logo.jpg" alt="logo" width="150px">
      </div>
      <nav class="nav">
        <div class="nav__user">
          <a href="" class="nav__link user-photo">
            <img src="./img/user-photo.png" alt="user photo" title="Change photo">
          </a>
        </div>
        <ul>
          <li class="nav__item item_hover" id="profile" title="Profile">
            <a href="" class="nav__link">
              <img src="./img/icons/profile-icon.png" class="nav__icon" alt="truck icon" width="35px">
            </a>
            <a href="" class="nav__link nav__link-text">Profile</a>
          </li>
          <li class="nav__item item_hover" id="trucks" title="My Trucks">
            <a href="" class="nav__link">
              <img src="./img/icons/truck-icon.png" class="nav__icon" alt="truck icon" width="35px">
            </a>
            <a href="" class="nav__link nav__link-text">My Trucks</a>
          </li>
          <li class="nav__item item_hover" id="load"  title="Assigned Load">
            <a href="" class="nav__link">
              <img src="./img/icons/load-icon.png" class="nav__icon" alt="load icon" width="35px">
            </a>
            <a href="" class="nav__link nav__link-text">Assigned Load</a>
          </li>
        </ul>
        <div class="nav__footer item_hover logout" title="Logout">
          <a href="" class="nav__link">
            <img src="./img/icons/logout-icon.png" class="nav__icon" alt="load icon" width="35px">
          </a>
          <a href="" class="nav__link nav__link-text">Logout</a>
        </div>
      </nav>
    </aside>
    <header class="header">
      <h2 class="header__title" id="page-title"></h2>
      <div class="header__user-info">
        <a href="" class="header__link user-name" id="user-name" title="Profile"></a>
        <a href="" class="header__link user-photo" title="Change photo">
          <img src="./img/user-photo.png" alt="user photo" width="45px">
        </a>
        <a href="" class="header__link logout" title="Logout">
          <img src="./img/icons/logout-icon.png" class="header__icon" alt="load icon" width="40px">
        </a>
      </div>
    </header>
    <aside class="add-truck__box">
      <form action="#" class="add-track__form" id="add-truck-form">
        <p>Choose truck dimentions:</p>
        <select name="type" id="add-track-select">
          <option>Choose</option>
          <option value="SPRINTER">SPRINTER</option>
          <option value="SMALL STRAIGHT">SMALL STRAIGHT</option>
          <option value="LARGE STRAIGHT">LARGE STRAIGHT</option>
        </select>
        <button type="submit" class="add-truck__btn">Add Truck</button>
      </form>
      <div class="add-turck__table-box">
        <p>Truck Dimensions:</p>
        <table class="add-turck__table">
          <tr>
            <th>Type</th>
            <th>Width</th>
            <th>Length</th>
            <th>Height</th>
            <th>Payload</th>
          </tr>
          <tr>
            <td>SPRINTER</td>
            <td>250</td>
            <td>300</td>
            <td>170</td>
            <td>1700</td>
          </tr>
          <tr>
            <td>SMALL STRAIGHT</td>
            <td>250</td>
            <td>500</td>
            <td>170</td>
            <td>2500</td>
          </tr>
          <tr>
            <td>LARGE STRAIGHT</td>
            <td>350</td>
            <td>700</td>
            <td>270</td>
            <td>4000</td>
          </tr>
        </table>
      </div>
    </aside>
    <main class="main">
      <div class="main__content">
        <div class="profile main__content-item hidden">
          <img src="./img/user-photo.png" class="user-photo" alt="user photo" title="Change photo" width="200px">
          <div class="profile__content">
            <h3 class="profile__name"></h3>
            <h4 class="profile__role">Role: <span class="profile__role-value"></span></h4>
            <p class="profile__date">Since <span class="profile__date-value"></span></p>
          </div>
          <div class="profile__edit">
            <button class="profile__edit-btn user-photo">Change Photo</button>
            <button class="profile__edit-btn" id="change-pass-btn">Change Password</button>
            <button class="profile__edit-btn profile__edit-btn_red" id="delete-acc-btn">Delete</button>
          </div>
          <button class="profile__btn-logout logout">Logout</button>
          <div class="change-pass__box hidden">
            <form action="#" class="change-pass__form" id="change-pass-form">
              <img src="./img/icons/close-icon.png" class="close-mark" alt="close icon" width="40px">
              <input type="password" name="oldPassword" class="change-pass__input" placeholder="Enter old password">
              <input type="password" name="newPassword" class="change-pass__input" placeholder="Enter new password">
              <p class="change-pass__err-message hidden">Incorrect password</p>
              <button type="submit" class="change-pass__btn">Submit</button>
            </form>
            <div class="change-pass__success hidden">
              <div class="change-pass__content">
                <img src="./img/check-mark.png" alt="check mark" width="50px">
                <p>Password was changed successfully.</p>              
              </div>
              <a href="" class="change-pass__btn btn-ok">OK</a>
            </div>
          </div>
          <div class="delete hidden">
            <div class="delete__message-box">
              <img src="./img/icons/close-icon.png" class="close-mark" alt="close icon" width="40px">
              <img src="./img/icons/delete-icon.png" alt="delete icon" width="50px">
              <p>Are you sure you want to delete account?</p>
              <div class="delete__buttons">
                <button class="delete__btn delete__btn-no">No</button>
                <button class="delete__btn delete__btn-yes">Yes, I'm sure</button>
              </div>
            </div>
            <div class="delete__success hidden">
              <div class="delete__success-content">
                <img src="./img/check-mark.png" alt="check mark" width="50px">
                <p>Your account has been successfully deleted.</p>
              </div>
              <a href="" class="btn-ok">OK</a>
            </div>
          </div>
        </div>
        <div class="trucks main__content-item ">
              Trucks
            
          </div>
        </div>
        <div class="load main__content-item hidden">
          Load
        </div>
      </div>
    </main>
    
    <script src="./js/home.js"></script>
    <script src="./js/user.js"></script>
    <script src="./js/driver.js"></script>
  </body>
</html>
